Subject: FW: FW: basic MPLS ATM question

From: "Paul Tasillo" <[email-masked]>
Date: Thu, 24 Aug 2000 11:29:25 -0400

Thank you for the insight.
So if I understand correctly, there are three possible MPLS over ATM
schemes:
1. ATM-LSR: Here the the LSR (maybe all of the links) has a IP address and
participates in L3 routing protocols. MPLS controls signaling and assigns
VPI/VCIs in a meaningful way to create VC to next hops.
2. The ATM cloud has a mesh of PVC which MPLS uses as ptp links. This is
frame based not cell based. This is an overlay model where MPLS works on top
of CLIP or LANE? And the LSR still participate in L3 routing protocols? (as
well as ATM routing protocols being run).
3. the VCID case. Again an overlay model where there exists CLIP or LANE
except here MPLS coordinates with ATM signaling to create SVCs as needed. L3
& ATM routing protocols are run.

Is this correct? If so case 1 would seem to be the preferable solution in
order for MPLS to allow ATM to scale and to reduce configuration headaches.

-Paul
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Jeremy
Lawrence
Sent: Wednesday, August 23, 2000 8:40 PM
To: Paul Tasillo
Cc: [email-masked]
Subject: Re: FW: basic MPLS ATM question

At 17:54 08/23/2000 -0400, Paul Tasillo wrote:

>Hi-
>        In draft-ietf-mpls-ldp-applic-02.txt it says,
>
>  LDP, together with an IP routing plane and software to program ATM
>   switch or Frame Relay switch cross-connect tables, can implement IP
>   in a network of ATM and/or Frame Relay switches without requiring an
>   overlay or the use of ATM-specific or Frame Relay-specific addressing
>   or routing.
>
>In the absence of ATM/FR specific addressing or routing, what is being used
>for addressing? If the answer is IP, then am I safe in assuming that this
>requires each ATM switch to have an IP address?

Yes, in the same way that a router does, for the purposes of
participating in an IP routing protocol. (From the perspective
of an IP routing protocol, an ATM-LSR is indistinguishable from
a router.) The links may also have IP addresses.

>I understand the ATM
>switches will be participating in L3 routing protocols (BGP, OSPF, etc).
>
>Is there also an overlay MPLS model? Where MPLS make decisions on a frame
>basis rather then cell and uses ATM/FR specifc addressing and routing?

Aside from VCID (covered in another email), MPLS-enabled routers
can be connected by RFC 1483 (or whatever the latest RFC number is)
PVCs. This is like ordinary IP over ATM, except that it is
frame-based MPLS over ATM. The PVCs act like any other non-channelized
point-to-point link between frame-based LSRs.

Regards,

Jeremy Lawrence

---

From: [email-masked]
Date: Thu, 24 Aug 2000 09:13:07 -0700 (PDT)

> So if I understand correctly, there are three possible MPLS over ATM

Yes..

> VPI/VCIs in a meaningful way to create VC to next hops.

 In the first case the ATM switch could also be running ATM protocols
 and participate in a ATM cloud (ships in Night mode). 

> well as ATM routing protocols being run).

   The third model is not an overlay case, rather in this the 
  MPLS LSP is established with direct peering with the ATM.  
  
 Regards
 - Mukul

---

From: Jeremy Lawrence <[email-masked]>
Date: Thu, 24 Aug 2000 11:37:16 -0700

>So if I understand correctly, there are three possible MPLS over ATM

Actually four: I'll add one at the end.

>VPI/VCIs in a meaningful way to create VC to next hops.

True.

>of CLIP or LANE? 

Yes and no. This mode is vaguely similar to CLIP: MPLS just runs over
RFC2684 (successor to RFC1483) over a PVC. However MPLS-over-PVCs is
not MPLS-over-CLIP (i.e. MPLS over IP over ATM), it is something
different: frame-based MPLS over ATM. It has nothing to do with LANE.

>And the LSR still participate in L3 routing protocols? (as

In this model, the ATM switches are not LSRs. The LSRs are the
routers at the end of the (S)PVCs, which do run IP routing protocols.
The ATM switches do whatever they do to route (S)PVCs, but that is
invisible to MPLS. 

>3. the VCID case. Again an overlay model where there exists CLIP or LANE

Same answer as #2: similar but not identical to CLIP, nothing to
do with LANE. 

>& ATM routing protocols are run.

That's not really true. The routing situation is actually very similar
to #2. The ATM switches, or most of them, are not LSRs, and just run an
SVC routing protocol (typically PNNI). The LSRs run IP routing,
but don't really participate in PNNI, except to request SVC
set-ups.

The major difference between #2 and #3 is that VCID adds some hooks to
support SVCs as well as PVCs. Otherwise, they're fairly similar.

Here's the other one:

4. Virtual Trunks. This is similar to #2, except that PVPs or SPVPs
are used instead of (S)PVCs. This means several things:
- The LSRs at the ends of the PVPs use ATM MPLS encapsulation, with
  distinct VCs within the PVP signifying distinct labels.
- The PVPs are 'virtual trunks', performing much the same function
  as a physical ATM link between the LSRs terminating the PVPs.
- Again, not all ATM switches are LSRs.
- The PVPs may terminate on ATM-LSRs, which may switch between
  ordinary ATM MPLS links (scheme #1) and virtual trunks. These
  ATM-LSRs run both IP routing and whatever the switch uses for
  (S)PVPs, but there is no interaction between the two.

For interworking between CLIP or LANE and ATM MPLS, any of these
schemes can be used, with the edge LSRs having some CLIP or LANE
interfaces and some ATM MPLS. CLIP or LANE and ATM MPLS are 
quite different IP-over-ATM schemes, and a full layer 3 routing
function (e.g. in an edge LSR) is usually required to interwork
between them.

Regards,

Jeremy Lawrence

---

From: Mukul Katiyar <[email-masked]>
Date: Thu, 24 Aug 2000 12:44:26 -0700

Jeremy,

> support SVCs as well as PVCs. Otherwise, they're fairly similar.

I think #2 and #3 are similar only from the point
of view of mix of ATM and MPLS signalling & routing
protocols used for setting up the channels,
but they differ fundamentally with respect to their models. 
While #2 is a classical overlay model, the MPLS network
remains unaware of the existence of
ATM switched connections, and multiple LSPs "share" the same ATM
virtual connection using it as a virtual link. 

The #3 is a peer model whereby the LSP is tunneled through the
ATM network using ATM signalling. The edge LSRs in this case are
certainly aware of existance of the ATM switched connections and
trigger the tunnel establishment for the LSP.
The encapsulation used for #3 is similar to #1 as specified in 
draft-ietf-mpls-atm-04.txt, rather then that of #2 which shall
use what ever has been established by CLIP or LANE.
I think this makes the case #3 to be similar to #1 rather then #2.
please correct me if I am missing something.

regards
Mukul

---

From: Ken Nagami <[email-masked]>
Date: Fri, 25 Aug 2000 08:33:58 +0900

Mukul, 

VCID is used on a cell based LSR not a frame based LSR. So, in this
point, the #3 is similar to the #1. The major differnce between #1 and
#3 is that ATM-LSRs are connected through ATM switches and 
VCID procedure adds some hooks to support SVCs/PVCs through ATM switches.

Regards, 
Ken Nagami